DELETE
/api/v1/reserve_ips/{ip_address}/actions/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/{ip_address}/actions/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ip_address
required
string
IP address
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successful response confirming the IP address has been released
Media typeapplication/json
object
code
integer
data
object
message
string
errors
object
key
additional properties
any
message
string
is_limit_available
boolean
reserved_ip_details
object
customer_max_limit
integer
reserved_ips_count
integer
reserve_ip_price
string
currency
string
Example
{ "code": 200, "data": { "message": "IP Released 164.52.198.54" }, "message": "Success", "is_limit_available": true, "reserved_ip_details": { "customer_max_limit": 10, "reserved_ips_count": 5 }, "reserve_ip_price": "INR 199.0 (excluding GST)", "currency": "INR"}